Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# CameraParameters Class Reference

Adjust parameters for built-in camera of Sony robot. More...

`#include <CameraParameters.h>`

Inheritance diagram for CameraParameters:

[legend]
Collaboration diagram for CameraParameters:

[legend]
List of all members.

## Public Types
enum | whiteBalance { wb_indoor_mode, wb_outdoor_mode, wb_fl_mode }
enum | gain { gain_low, gain_mid, gain_high }
enum | shutterSpeed { shutter_slow, shutter_mid, shutter_fast }
## Public Member Functions
| CameraParameters ()
void | setWhiteBalance (whiteBalance theWhiteBalance)
void | setShutterSpeed (shutterSpeed theShutterSpeed)
void | setGain (gain theGain)
whiteBalance | getWhiteBalance ()
shutterSpeed | getShutterSpeed ()
gain | getGain ()
## Static Public Member Functions
const char * | getWhiteBalanceName (whiteBalance whiteBalance)
| Returns a description for an indexed whiteBalance.
const char * | getShortWhiteBalanceName (whiteBalance whiteBalance)
const char * | getGainName (gain gain)
| Returns a description for an indexed gain.
const char * | getShortGainName (gain gain)
const char * | getShutterSpeedName (shutterSpeed shutterSpeed)
| Returns a description for an indexed shutterSpeed.
const char * | getShortShutterSpeedName (shutterSpeed shutterSpeed)
## Private Member Functions
void | serialize (In *in, Out *out)
## Private Attributes
char | whiteBalanceString [20]
char | shutterSpeedString [20]
char | gainString [20]

## Detailed Description

Adjust parameters for built-in camera of Sony robot.

Author:
  Joscha Bach

Definition at line 21 of file CameraParameters.h.

## Member Enumeration Documentation

enum CameraParameters::whiteBalance

  | Enumeration values:
  wb_indoor_mode |
  wb_outdoor_mode |
  wb_fl_mode |
Definition at line 27 of file CameraParameters.h. Referenced by getWhiteBalance().

enum CameraParameters::gain

  | Enumeration values:
  gain_low |
  gain_mid |
  gain_high |
Definition at line 54 of file CameraParameters.h. Referenced by getGain().

enum CameraParameters::shutterSpeed

  | Enumeration values:
  shutter_slow |
  shutter_mid |
  shutter_fast |
Definition at line 82 of file CameraParameters.h. Referenced by getShutterSpeed().

## Constructor & Destructor Documentation

CameraParameters::CameraParameters | ( |  | ) |

| Definition at line 12 of file CameraParameters.cpp. References gainString, shutterSpeedString, and whiteBalanceString.

## Member Function Documentation

void CameraParameters::serialize | ( | In * | in,
|  | Out * | out
| ) | `[private, virtual]`

| Implements Streamable. Definition at line 19 of file CameraParameters.cpp. References gainString, shutterSpeedString, STREAM, STREAM_REGISTER_BEGIN, STREAM_REGISTER_FINISH, and whiteBalanceString.

const char* CameraParameters::getWhiteBalanceName | ( | whiteBalance | whiteBalance | ) | `[inline, static]`

| Returns a description for an indexed whiteBalance. Definition at line 34 of file CameraParameters.h. References wb_fl_mode, wb_indoor_mode, and wb_outdoor_mode. Referenced by getWhiteBalance(), and setWhiteBalance().

const char* CameraParameters::getShortWhiteBalanceName | ( | whiteBalance | whiteBalance | ) | `[inline, static]`

| Definition at line 44 of file CameraParameters.h. References wb_fl_mode, wb_indoor_mode, and wb_outdoor_mode.

const char* CameraParameters::getGainName | ( | gain | gain | ) | `[inline, static]`

| Returns a description for an indexed gain. Definition at line 61 of file CameraParameters.h. References gain_high, gain_low, and gain_mid. Referenced by getGain(), and setGain().

const char* CameraParameters::getShortGainName | ( | gain | gain | ) | `[inline, static]`

| Definition at line 71 of file CameraParameters.h. References gain_high, gain_low, and gain_mid.

const char* CameraParameters::getShutterSpeedName | ( | shutterSpeed | shutterSpeed | ) | `[inline, static]`

| Returns a description for an indexed shutterSpeed. Definition at line 89 of file CameraParameters.h. References shutter_fast, shutter_mid, and shutter_slow. Referenced by getShutterSpeed(), and setShutterSpeed().

const char* CameraParameters::getShortShutterSpeedName | ( | shutterSpeed | shutterSpeed | ) | `[inline, static]`

| Definition at line 99 of file CameraParameters.h. References shutter_fast, shutter_mid, and shutter_slow.

void CameraParameters::setWhiteBalance | ( | whiteBalance | theWhiteBalance | ) |

| Definition at line 28 of file CameraParameters.cpp. References getWhiteBalanceName(). Referenced by AutoShutter::execute(), AutoShutter::selectBest(), and Sensors::Sensors().

Here is the call graph for this function:

void CameraParameters::setShutterSpeed | ( | shutterSpeed | theShutterSpeed | ) |

| Definition at line 32 of file CameraParameters.cpp. References getShutterSpeedName(). Referenced by AutoShutter::execute(), AutoShutter::selectBest(), and Sensors::Sensors().

Here is the call graph for this function:

void CameraParameters::setGain | ( | gain | theGain | ) |

| Definition at line 36 of file CameraParameters.cpp. References getGainName(). Referenced by AutoShutter::execute(), AutoShutter::selectBest(), and Sensors::Sensors().

Here is the call graph for this function:

CameraParameters::whiteBalance CameraParameters::getWhiteBalance | ( |  | ) |

| Definition at line 40 of file CameraParameters.cpp. References getWhiteBalanceName(), whiteBalance, and whiteBalanceString. Referenced by Sensors::setCameraParameters().

Here is the call graph for this function:

CameraParameters::shutterSpeed CameraParameters::getShutterSpeed | ( |  | ) |

| Definition at line 51 of file CameraParameters.cpp. References getShutterSpeedName(), shutterSpeed, and shutterSpeedString. Referenced by Sensors::setCameraParameters().

Here is the call graph for this function:

CameraParameters::gain CameraParameters::getGain | ( |  | ) |

| Definition at line 62 of file CameraParameters.cpp. References gain, gainString, and getGainName(). Referenced by Sensors::setCameraParameters().

Here is the call graph for this function:

## Member Data Documentation

char CameraParameters::whiteBalanceString[20]`[private]`

| Definition at line 124 of file CameraParameters.h. Referenced by CameraParameters(), getWhiteBalance(), and serialize().

char CameraParameters::shutterSpeedString[20]`[private]`

| Definition at line 125 of file CameraParameters.h. Referenced by CameraParameters(), getShutterSpeed(), and serialize().

char CameraParameters::gainString[20]`[private]`

| Definition at line 126 of file CameraParameters.h. Referenced by CameraParameters(), getGain(), and serialize().

The documentation for this class was generated from the following files:

- Representations/Perception/CameraParameters.h
- Representations/Perception/CameraParameters.cpp